<<

# Bugzilla::Webservice::Component

- NAME
- DESCRIPTION
- METHODS
- Component Creation and Modification
  - create

# NAME

Bugzilla::Webservice::Component - The Component API

# DESCRIPTION

This part of the Bugzilla API allows you to deal with the available product components. You will be able to get information about them as well as manipulate them.

# METHODS

See Bugzilla::WebService for a description of how parameters are passed, and what STABLE, UNSTABLE, and EXPERIMENTAL mean.

# Component Creation and Modification

## create

EXPERIMENTAL

Description

  This allows you to create a new component in Bugzilla.

Params

  Some params must be set, or an error will be thrown. These params are marked Required.

  `name`

    Required `string` The name of the new component.

  `product`

    Required `string` The name of the product that the component must be added to. This product must already exist, and the user have the necessary permissions to edit components for it.

  `description`

    Required `string` The description of the new component.

  `default_assignee`

    Required `string` The login name of the default assignee of the component.

  `default_cc`

    `array` An array of strings with each element representing one login name of the default CC list.

  `default_qa_contact`

    `string` The login name of the default QA contact for the component.

  `is_open`

    `boolean` 1 if you want to enable the component for bug creations. 0 otherwise. Default is 1.

Returns

  A hash with one key: `id`. This will represent the ID of the newly-added component.

Errors
  304 (Authorization Failure)

    You are not authorized to create a new component.

  1200 (Component already exists)

    The name that you specified for the new component already exists in the specified product.

History
  Added in Bugzilla 5.0.

<<